Package org.apache.tools.ant.taskdefs

## Class PumpStreamHandler.ThreadWithPumper

- java.lang.Object
- - java.lang.Thread
  - - org.apache.tools.ant.taskdefs.PumpStreamHandler.ThreadWithPumper

All Implemented Interfaces:
  `java.lang.Runnable`

Enclosing class:
  PumpStreamHandler

    protected static class PumpStreamHandler.ThreadWithPumper
    extends java.lang.Thread

Specialized subclass that allows access to the running StreamPumper.

Since:
  Ant 1.8.0

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
`ThreadWithPumper​(StreamPumper p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected StreamPumper` `getPumper()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ThreadWithPumper

    public ThreadWithPumper​(StreamPumper p)

### Method Detail

#### getPumper

    protected StreamPumper getPumper()